Bug 219169 - net install/rescue URLs shouldnt be blind guess
net install/rescue URLs shouldnt be blind guess
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
Depends On:
  Show dependency treegraph
Reported: 2006-12-11 12:08 EST by Jim Cromie
Modified: 2008-05-06 13:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Cromie 2006-12-11 12:08:46 EST
Description of problem:

Enhancement request:  When trying a network/HTTP/FTP install, user is prompted
for URL host & path.  I tried many combinations of the path: fedora/core,
fedora/core/6, fedora/core/6/i386, fedora/core/6/i386/os, all failed for me, and
I dont know why.  The manual suggested last, but I couldnt differentiate its
results from the others.

The other VTs should have enough logging that I can tell how my URL/path guesses
are understood, so I can correct them (by comparing the paths used by anaconda
with those visible via a browser.  The current logging granularity is insufficient.

Version-Release number of selected component (if applicable):

Anaconda Rescue CD, at least.

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jim Cromie 2006-12-11 14:12:05 EST
heres the (on-screen) error I get when using mirrors.kernel.org,
fedora/core/6/i386/os for the 2 HTTP-install parameters:

Unable to read package metadata.  This may be due to a missing repodata
directory.  Please ensure that your install tree has been correctly generated. 
Cannot open/read repomd.xml file for repository: anaconda-base-2005610172011.i386

The error suggests that problem is with the chosen download-site, ie they dont
have the full file-set where they should be, but I can find it by browser; at

The last entries in VT-3 are:

<time> INFO  : moving (1) to step reposetup
<time> ERROR : reading package metadata: Cannot open/read (rest as above)

The ERROR should be more elaborate - at least to see what path is NFG.
Comment 2 Red Hat Bugzilla 2007-06-11 23:29:42 EDT
requested by Jams Antill
Comment 3 Bug Zapper 2008-04-04 01:11:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 13:09:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.